Subject: [lamps] I-D Action: draft-ietf-lamps-lightweight-cmp-profile-09.txt

From: [email-masked]
Date: Fri, 17 Dec 2021 08:00:43 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Lightweight Certificate Management Protocol (CMP) Profile
        Authors         : Hendrik Brockhaus
                          David von Oheimb
                          Steffen Fries
	Filename        : draft-ietf-lamps-lightweight-cmp-profile-09.txt
	Pages           : 98
	Date            : 2021-12-17

Abstract:
   This document aims at simple, interoperable, and automated PKI
   management operations covering typical use cases of industrial and
   IoT scenarios.  This is achieved by profiling the Certificate
   Management Protocol (CMP), the related Certificate Request Message
   Format (CRMF), and HTTP-based or CoAP-based transfer in a succinct
   but sufficiently detailed and self-contained way.  To make secure
   certificate management for simple scenarios and constrained devices
   as lightweight as possible, only the most crucial types of operations
   and options are specified as mandatory.  More special and complex use
   cases are supported as well, by features specified as recommended or
   optional.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-lightweight-cmp-profile/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-lightweight-cmp-profile-09.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-lightweight-cmp-profile-09

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 17 Dec 2021 16:02:24 +0000

This update is supposed to handle all comments revived during WG last call.

   From version 08 -> 09:
   *  Updated Section 1.1 and 1.2 and converted Section 2.2 and 2.3 into
      more detailed tables in Section 7 (see thread "WG Last Call for
      draft-ietf-lamps-cmp-updates-14 and draft-ietf-lamps-lightweight-
      cmp-profile-08")
   *  Updated Section 3.1 and 4.1.1 making implicitConfirm recommended
      for ir/cr/p10cr/kur and providing further recommendations on its
      use (see thread "certConf - WG Last Call for draft-ietf-lamps-cmp-
      updates-14 and draft-ietf-lamps-lightweight-cmp-profile-08")
   *  Updated Section 4.1.6 adding some clarifications regarding
      validating the authorization of centrally generated keys
   *  Updated Section 4.3.4 adding some clarifications on CRL update
      retrieval (see thread "CRL update retrieval - WG Last Call for
      draft-ietf-lamps-cmp-updates-14 and draft-ietf-lamps-lightweight-
      cmp-profile-08")
   *  Updated references to CMP Updates pointing to concrete sections
      (see thread "CRL update retrieval - WG Last Call for draft-ietf-
      lamps-cmp-updates-14 and draft-ietf-lamps-lightweight-cmp-profile-
      08"))
   *  Corrected a couple of nits elsewhere

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von internet-
> [email-masked]
> Gesendet: Freitag, 17. Dezember 2021 17:01
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
> acker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-lightweight-cmp-
> profile%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cf
> 298a1cf75af4d9e2d1f08d9c1766c3d%7C38ae3bcd95794fd4addab42e1495d55
> a%7C1%7C0%7C637753536631440342%7CUnknown%7CTWFpbGZsb3d8eyJWI
> joiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> 00&amp;sdata=Pf%2FXBQ0II4Y1ooBnmBc9CDkCmuZGmw31kEZuFY7HfIE%3D
> &amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-lightweight-cmp-profile-
> 09.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cf298
> a1cf75af4d9e2d1f08d9c1766c3d%7C38ae3bcd95794fd4addab42e1495d55a%7
> C1%7C0%7C637753536631440342%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000
> &amp;sdata=LwtazEgaDFh3jy5BZ4VAkam%2FKbvw9e5fShVKlGZi1zs%3D&amp;
> reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-lightweight-cmp-profile-
> 09&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cf298a1cf7
> 5af4d9e2d1f08d9c1766c3d%7C38ae3bcd95794fd4addab42e1495d55a%7C1%
> 7C0%7C637753536631440342%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&am
> p;sdata=W1xqVEpYZ%2FaEubXbuel%2FCNmwjgRafdmrcrXlefw7MeY%3D&am
> p;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> ockhaus%40siemens.com%7Cf298a1cf75af4d9e2d1f08d9c1766c3d%7C38ae3b
> cd95794fd4addab42e1495d55a%7C1%7C0%7C637753536631440342%7CUnkn
> own%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1h
> aWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=QtzNkpYJ1ReudRKbT6R3CVLGU
> pPsjeMnzWjM6aNfoWQ%3D&amp;reserved=0

---

From: Tomas Gustavsson <[email-masked]>
Date: Fri, 17 Dec 2021 16:58:13 +0000

I like the new paragraph in section 4.1.1.1.

Cheers,
Tomas

________________________________
From: Spasm <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Friday, December 17, 2021 8:00 AM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: [lamps] I-D Action: draft-ietf-lamps-lightweight-cmp-profile-09.txt

CAUTION: External Sender - Be cautious when clicking links or opening attachments. Please email [email-masked] with any questions.

Abstract:

The IETF datatracker status page for this draft is:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-lightweight-cmp-profile%2F&amp;data=04%7C01%7Ctomas.gustavsson%40primekey.com%7C25e7bff7e6624ffea95b08d9c1766c14%7Cc9ed4b459f70418aaa58f04c80848ca9%7C0%7C0%7C637753538532107280%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=6nvTAB5sAKKDC3xopL7%2FVKnsVlhB5yy2Gi3gctBN0XY%3D&amp;reserved=0

There is also an HTML version available at:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-lightweight-cmp-profile-09.html&amp;data=04%7C01%7Ctomas.gustavsson%40primekey.com%7C25e7bff7e6624ffea95b08d9c1766c14%7Cc9ed4b459f70418aaa58f04c80848ca9%7C0%7C0%7C637753538532107280%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=3ETaphfFEm7C3bwjY3oWEl%2FU93MvQmOg3etlHFDKpLU%3D&amp;reserved=0

A diff from the previous version is available at:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-lightweight-cmp-profile-09&amp;data=04%7C01%7Ctomas.gustavsson%40primekey.com%7C25e7bff7e6624ffea95b08d9c1766c14%7Cc9ed4b459f70418aaa58f04c80848ca9%7C0%7C0%7C637753538532107280%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=g9MswpOg9eFLoJ%2F0e8NjCUaeae%2BRgmqe%2FOaG7oG%2FNaI%3D&amp;reserved=0

_______________________________________________
Spasm mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Ctomas.gustavsson%40primekey.com%7C25e7bff7e6624ffea95b08d9c1766c14%7Cc9ed4b459f70418aaa58f04c80848ca9%7C0%7C0%7C637753538532107280%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=yICJVcZ1t604GlkAYeEh2StdDvaZTxkQnMBD%2FAkajwg%3D&amp;reserved=0

---

From: Russ Housley <[email-masked]>
Date: Wed, 22 Dec 2021 14:49:50 -0500

I just noticed small concerns flagged by IDnits...

 == Using lowercase 'not' together with uppercase 'MUST', 'SHALL', 'SHOULD',
     or 'RECOMMENDED' is not an accepted usage according to RFC 2119.  Please
     use uppercase 'NOT' together with RFC 2119 keywords (if that is what you
     mean).
     
     Found 'MUST not' in this paragraph:
     
     If the error condition is on an upstream nested message containing
     batched requests, it MUST not attempt to respond to the individual
     requests included in it.

  -- Obsolete informational reference (is this intentional?): RFC 2510
     (Obsoleted by RFC 4210)

  -- Obsolete informational reference (is this intentional?): RFC 5246
     (Obsoleted by RFC 8446)

Russ

> On Dec 17, 2021, at 11:00 AM, [email-masked] wrote:
> 
> 
> https://www.ietf.org/mailman/listinfo/spasm